6.0.0-git
2019-04-24

[#12842] Fail to parse certain GPG-encrypted emails (e.g. with attached gpg keys)
Summary Fail to parse certain GPG-encrypted emails (e.g. with attached gpg keys)
Queue IMP
Queue Version 6.1.5
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester horde (at) immerda (dot) ch
Created 2013-11-15 (1986 days ago)
Due
Updated 2013-12-17 (1954 days ago)
Assigned
Resolved 2013-11-22 (1979 days ago)
Milestone
Patch No

History
2013-12-17 11:40:33 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 522315bf73f6b406f9707db6170b55697f6eb6ca
Merge: 563512d 23d777f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Nov 22 16:51:09 2013 -0500

     Merge branch 'master' into nag_4_2

  chora/locale/pt_BR/LC_MESSAGES/chora.mo            |  Bin 71584 -> 
72267 bytes
  framework/Alarm/lib/Horde/Alarm/Sql.php            |   16 +-
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo      |  Bin 727 -> 727 bytes
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po      |   12 +-
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.mo     |  Bin 956 -> 956 bytes
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.po     |    8 +-
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo    |  Bin 19720 -> 
19720 bytes
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po    |  214 ++--
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo  |  Bin 7554 -> 7147 bytes
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po  |   93 +-
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo    |  Bin 1192 -> 1192 bytes
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po    |   16 +-
  .../Dav/vendor/sabre/dav/lib/Sabre/DAV/URLUtil.php |    4 +-
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo    |  Bin 10967 -> 
10967 bytes
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po    |   10 +-
  framework/Group/test/Horde/Group/Sql/Base.php      |    4 +-
  framework/Http/package.xml                         |   11 +-
  framework/Imap_Client/composer.json                |    4 +-
  .../lib/Horde/Imap/Client/Cache/Backend/Cache.php  |    2 +
  framework/Imap_Client/package.xml                  |   22 +-
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.mo       |  Bin 2856 -> 2856 bytes
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.po       |    3 +-
  framework/Mime/composer.json                       |    2 +-
  framework/Mime/lib/Horde/Mime/Part.php             |   35 +-
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.mo    |  Bin 1256 -> 1256 bytes
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.po    |   20 +-
  framework/Mime/package.xml                         |   23 +-
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 +
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.mo  |  Bin 835 -> 838 bytes
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.po  |   12 +-
  .../test/Horde/SessionHandler/Storage/Sql/Base.php |    2 +-
  framework/Smtp/composer.json                       |    4 +-
  framework/Smtp/lib/Horde/Smtp.php                  |    6 +
  framework/Smtp/package.xml                         |   20 +-
  framework/Vfs/test/Horde/Vfs/Sql/Base.php          |    2 +-
  gollem/locale/pt_BR/LC_MESSAGES/gollem.mo          |  Bin 72229 -> 
72928 bytes
  hermes/js/hermes.js                                |    2 +-
  horde/bin/horde-translation                        |   15 +-
  horde/locale/pt_BR/LC_MESSAGES/horde.mo            |  Bin 64448 -> 
65138 bytes
  horde/locale/pt_BR/LC_MESSAGES/horde.po            |  372 +++---
  imp/docs/CHANGES                                   |    4 +
  imp/js/compose-dimp.js                             |    3 +
  imp/lib/Ajax/Imple/ItipRequest.php                 |   10 +-
  imp/lib/Ajax/Queue.php                             |   16 +-
  imp/lib/Dynamic/Compose/Common.php                 |    1 +
  imp/lib/Mime/Viewer/Itip.php                       |   11 +-
  imp/locale/pt_BR/LC_MESSAGES/imp.mo                |  Bin 177354 -> 
180219 bytes
  imp/locale/pt_BR/LC_MESSAGES/imp.po                | 1348 
+++++++++++---------
  imp/package.xml                                    |    6 +-
  ingo/locale/pt_BR/LC_MESSAGES/ingo.mo              |  Bin 83674 -> 
84041 bytes
  ingo/locale/pt_BR/LC_MESSAGES/ingo.po              |  172 ++--
  kronolith/docs/CHANGES                             |    6 +
  kronolith/js/kronolith.js                          |   62 +-
  kronolith/lib/Ajax/Application/Handler.php         |    4 +-
  kronolith/lib/Api.php                              |   21 +-
  kronolith/lib/Event.php                            |    8 +-
  kronolith/lib/Kronolith.php                        |   29 +-
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.mo    |  Bin 125219 -> 
126355 bytes
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.po    |  814 ++++++------
  kronolith/package.xml                              |    6 +
  mnemo/lib/Driver/Kolab.php                         |    7 +
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.mo            |  Bin 74129 -> 
74836 bytes
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.po            |   38 +-
  nag/locale/pt_BR/LC_MESSAGES/nag.mo                |  Bin 90095 -> 
90739 bytes
  nag/locale/pt_BR/LC_MESSAGES/nag.po                |  266 ++--
  passwd/locale/pt_BR/LC_MESSAGES/passwd.mo          |  Bin 70274 -> 
70989 bytes
  turba/lib/Driver/Kolab.php                         |    5 +-
  turba/locale/pt_BR/LC_MESSAGES/turba.mo            |  Bin 95834 -> 
96646 bytes
  turba/locale/pt_BR/LC_MESSAGES/turba.po            |  285 +++--
  whups/locale/pt_BR/LC_MESSAGES/whups.mo            |  Bin 93434 -> 
94133 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.mo          |  Bin 78492 -> 
77023 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.po          |  282 ++---
  74 files changed, 2263 insertions(+), 2099 deletions(-)

http://git.horde.org/horde-git/-/commit/522315bf73f6b406f9707db6170b55697f6eb6ca
2013-12-17 11:40:31 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 66e004c15d60f74c04b7403065c92e9314f60f7a
Merge: 6537ff3 23d777f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Nov 22 16:50:49 2013 -0500

     Merge branch 'master' into mnemo_4_2

  chora/locale/pt_BR/LC_MESSAGES/chora.mo            |  Bin 71584 -> 
72267 bytes
  framework/Alarm/lib/Horde/Alarm/Sql.php            |   16 +-
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo      |  Bin 727 -> 727 bytes
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po      |   12 +-
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.mo     |  Bin 956 -> 956 bytes
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.po     |    8 +-
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo    |  Bin 19720 -> 
19720 bytes
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po    |  214 ++--
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo  |  Bin 7554 -> 7147 bytes
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po  |   93 +-
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo    |  Bin 1192 -> 1192 bytes
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po    |   16 +-
  .../Dav/vendor/sabre/dav/lib/Sabre/DAV/URLUtil.php |    4 +-
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo    |  Bin 10967 -> 
10967 bytes
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po    |   10 +-
  framework/Group/test/Horde/Group/Sql/Base.php      |    4 +-
  framework/Http/package.xml                         |   11 +-
  framework/Imap_Client/composer.json                |    4 +-
  .../lib/Horde/Imap/Client/Cache/Backend/Cache.php  |    2 +
  framework/Imap_Client/package.xml                  |   22 +-
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.mo       |  Bin 2856 -> 2856 bytes
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.po       |    3 +-
  framework/Mime/composer.json                       |    2 +-
  framework/Mime/lib/Horde/Mime/Part.php             |   35 +-
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.mo    |  Bin 1256 -> 1256 bytes
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.po    |   20 +-
  framework/Mime/package.xml                         |   23 +-
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 +
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.mo  |  Bin 835 -> 838 bytes
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.po  |   12 +-
  .../test/Horde/SessionHandler/Storage/Sql/Base.php |    2 +-
  framework/Smtp/composer.json                       |    4 +-
  framework/Smtp/lib/Horde/Smtp.php                  |    6 +
  framework/Smtp/package.xml                         |   20 +-
  framework/Vfs/test/Horde/Vfs/Sql/Base.php          |    2 +-
  gollem/locale/pt_BR/LC_MESSAGES/gollem.mo          |  Bin 72229 -> 
72928 bytes
  hermes/js/hermes.js                                |    2 +-
  horde/bin/horde-translation                        |   15 +-
  horde/locale/pt_BR/LC_MESSAGES/horde.mo            |  Bin 64448 -> 
65138 bytes
  horde/locale/pt_BR/LC_MESSAGES/horde.po            |  372 +++---
  imp/docs/CHANGES                                   |    4 +
  imp/js/compose-dimp.js                             |    3 +
  imp/lib/Ajax/Imple/ItipRequest.php                 |   10 +-
  imp/lib/Ajax/Queue.php                             |   16 +-
  imp/lib/Dynamic/Compose/Common.php                 |    1 +
  imp/lib/Mime/Viewer/Itip.php                       |   11 +-
  imp/locale/pt_BR/LC_MESSAGES/imp.mo                |  Bin 177354 -> 
180219 bytes
  imp/locale/pt_BR/LC_MESSAGES/imp.po                | 1348 
+++++++++++---------
  imp/package.xml                                    |    6 +-
  ingo/locale/pt_BR/LC_MESSAGES/ingo.mo              |  Bin 83674 -> 
84041 bytes
  ingo/locale/pt_BR/LC_MESSAGES/ingo.po              |  172 ++--
  kronolith/docs/CHANGES                             |    6 +
  kronolith/js/kronolith.js                          |   62 +-
  kronolith/lib/Ajax/Application/Handler.php         |    4 +-
  kronolith/lib/Api.php                              |   21 +-
  kronolith/lib/Event.php                            |    8 +-
  kronolith/lib/Kronolith.php                        |   29 +-
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.mo    |  Bin 125219 -> 
126355 bytes
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.po    |  814 ++++++------
  kronolith/package.xml                              |    6 +
  mnemo/lib/Driver/Kolab.php                         |    7 +
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.mo            |  Bin 74129 -> 
74836 bytes
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.po            |   38 +-
  nag/locale/pt_BR/LC_MESSAGES/nag.mo                |  Bin 90095 -> 
90739 bytes
  nag/locale/pt_BR/LC_MESSAGES/nag.po                |  266 ++--
  passwd/locale/pt_BR/LC_MESSAGES/passwd.mo          |  Bin 70274 -> 
70989 bytes
  turba/lib/Driver/Kolab.php                         |    5 +-
  turba/locale/pt_BR/LC_MESSAGES/turba.mo            |  Bin 95834 -> 
96646 bytes
  turba/locale/pt_BR/LC_MESSAGES/turba.po            |  285 +++--
  whups/locale/pt_BR/LC_MESSAGES/whups.mo            |  Bin 93434 -> 
94133 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.mo          |  Bin 78492 -> 
77023 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.po          |  282 ++---
  74 files changed, 2263 insertions(+), 2099 deletions(-)

http://git.horde.org/horde-git/-/commit/66e004c15d60f74c04b7403065c92e9314f60f7a
2013-12-17 11:40:27 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit de5f41fc5d0adf0eeae96e56df5b6ff0ef98a3a9
Merge: b0a3771 23d777f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Nov 22 16:49:59 2013 -0500

     Merge branch 'master' into kronolith_4_2

     Conflicts:
             kronolith/docs/CHANGES
             kronolith/package.xml

  chora/locale/pt_BR/LC_MESSAGES/chora.mo            |  Bin 71584 -> 
72267 bytes
  framework/Alarm/lib/Horde/Alarm/Sql.php            |   16 +-
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo      |  Bin 727 -> 727 bytes
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po      |   12 +-
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.mo     |  Bin 956 -> 956 bytes
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.po     |    8 +-
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo    |  Bin 19720 -> 
19720 bytes
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po    |  214 ++--
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo  |  Bin 7554 -> 7147 bytes
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po  |   93 +-
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo    |  Bin 1192 -> 1192 bytes
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po    |   16 +-
  .../Dav/vendor/sabre/dav/lib/Sabre/DAV/URLUtil.php |    4 +-
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo    |  Bin 10967 -> 
10967 bytes
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po    |   10 +-
  framework/Group/test/Horde/Group/Sql/Base.php      |    4 +-
  framework/Http/package.xml                         |   11 +-
  framework/Imap_Client/composer.json                |    4 +-
  .../lib/Horde/Imap/Client/Cache/Backend/Cache.php  |    2 +
  framework/Imap_Client/package.xml                  |   22 +-
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.mo       |  Bin 2856 -> 2856 bytes
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.po       |    3 +-
  framework/Mime/composer.json                       |    2 +-
  framework/Mime/lib/Horde/Mime/Part.php             |   35 +-
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.mo    |  Bin 1256 -> 1256 bytes
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.po    |   20 +-
  framework/Mime/package.xml                         |   23 +-
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 +
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.mo  |  Bin 835 -> 838 bytes
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.po  |   12 +-
  .../test/Horde/SessionHandler/Storage/Sql/Base.php |    2 +-
  framework/Smtp/composer.json                       |    4 +-
  framework/Smtp/lib/Horde/Smtp.php                  |    6 +
  framework/Smtp/package.xml                         |   20 +-
  framework/Vfs/test/Horde/Vfs/Sql/Base.php          |    2 +-
  gollem/locale/pt_BR/LC_MESSAGES/gollem.mo          |  Bin 72229 -> 
72928 bytes
  hermes/js/hermes.js                                |    2 +-
  horde/bin/horde-translation                        |   15 +-
  horde/locale/pt_BR/LC_MESSAGES/horde.mo            |  Bin 64448 -> 
65138 bytes
  horde/locale/pt_BR/LC_MESSAGES/horde.po            |  372 +++---
  imp/docs/CHANGES                                   |    4 +
  imp/js/compose-dimp.js                             |    3 +
  imp/lib/Ajax/Imple/ItipRequest.php                 |   10 +-
  imp/lib/Ajax/Queue.php                             |   16 +-
  imp/lib/Dynamic/Compose/Common.php                 |    1 +
  imp/lib/Mime/Viewer/Itip.php                       |   11 +-
  imp/locale/pt_BR/LC_MESSAGES/imp.mo                |  Bin 177354 -> 
180219 bytes
  imp/locale/pt_BR/LC_MESSAGES/imp.po                | 1348 
+++++++++++---------
  imp/package.xml                                    |    6 +-
  ingo/locale/pt_BR/LC_MESSAGES/ingo.mo              |  Bin 83674 -> 
84041 bytes
  ingo/locale/pt_BR/LC_MESSAGES/ingo.po              |  172 ++--
  kronolith/js/kronolith.js                          |   62 +-
  kronolith/lib/Ajax/Application/Handler.php         |    4 +-
  kronolith/lib/Api.php                              |   21 +-
  kronolith/lib/Event.php                            |    8 +-
  kronolith/lib/Kronolith.php                        |   29 +-
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.mo    |  Bin 125219 -> 
126355 bytes
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.po    |  814 ++++++------
  mnemo/lib/Driver/Kolab.php                         |    7 +
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.mo            |  Bin 74129 -> 
74836 bytes
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.po            |   38 +-
  nag/locale/pt_BR/LC_MESSAGES/nag.mo                |  Bin 90095 -> 
90739 bytes
  nag/locale/pt_BR/LC_MESSAGES/nag.po                |  266 ++--
  passwd/locale/pt_BR/LC_MESSAGES/passwd.mo          |  Bin 70274 -> 
70989 bytes
  turba/lib/Driver/Kolab.php                         |    5 +-
  turba/locale/pt_BR/LC_MESSAGES/turba.mo            |  Bin 95834 -> 
96646 bytes
  turba/locale/pt_BR/LC_MESSAGES/turba.po            |  285 +++--
  whups/locale/pt_BR/LC_MESSAGES/whups.mo            |  Bin 93434 -> 
94133 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.mo          |  Bin 78492 -> 
77023 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.po          |  282 ++---
  72 files changed, 2251 insertions(+), 2099 deletions(-)

http://git.horde.org/horde-git/-/commit/de5f41fc5d0adf0eeae96e56df5b6ff0ef98a3a9
2013-12-17 11:40:24 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit eaa2e5897281db0a30e477580288af8085591df6
Merge: 5b5c2c2 23d777f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Nov 22 16:48:17 2013 -0500

     Merge branch 'master' into turba_4_2

  chora/locale/pt_BR/LC_MESSAGES/chora.mo            |  Bin 71584 -> 
72267 bytes
  framework/Alarm/lib/Horde/Alarm/Sql.php            |   16 +-
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo      |  Bin 727 -> 727 bytes
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po      |   12 +-
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.mo     |  Bin 956 -> 956 bytes
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.po     |    8 +-
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo    |  Bin 19720 -> 
19720 bytes
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po    |  214 ++--
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo  |  Bin 7554 -> 7147 bytes
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po  |   93 +-
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo    |  Bin 1192 -> 1192 bytes
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po    |   16 +-
  .../Dav/vendor/sabre/dav/lib/Sabre/DAV/URLUtil.php |    4 +-
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo    |  Bin 10967 -> 
10967 bytes
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po    |   10 +-
  framework/Group/test/Horde/Group/Sql/Base.php      |    4 +-
  framework/Http/package.xml                         |   11 +-
  framework/Imap_Client/composer.json                |    4 +-
  .../lib/Horde/Imap/Client/Cache/Backend/Cache.php  |    2 +
  framework/Imap_Client/package.xml                  |   22 +-
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.mo       |  Bin 2856 -> 2856 bytes
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.po       |    3 +-
  framework/Mime/composer.json                       |    2 +-
  framework/Mime/lib/Horde/Mime/Part.php             |   35 +-
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.mo    |  Bin 1256 -> 1256 bytes
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.po    |   20 +-
  framework/Mime/package.xml                         |   23 +-
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 +
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.mo  |  Bin 835 -> 838 bytes
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.po  |   12 +-
  .../test/Horde/SessionHandler/Storage/Sql/Base.php |    2 +-
  framework/Smtp/composer.json                       |    4 +-
  framework/Smtp/lib/Horde/Smtp.php                  |    6 +
  framework/Smtp/package.xml                         |   20 +-
  framework/Vfs/test/Horde/Vfs/Sql/Base.php          |    2 +-
  gollem/locale/pt_BR/LC_MESSAGES/gollem.mo          |  Bin 72229 -> 
72928 bytes
  hermes/js/hermes.js                                |    2 +-
  horde/bin/horde-translation                        |   15 +-
  horde/locale/pt_BR/LC_MESSAGES/horde.mo            |  Bin 64448 -> 
65138 bytes
  horde/locale/pt_BR/LC_MESSAGES/horde.po            |  372 +++---
  imp/docs/CHANGES                                   |    4 +
  imp/js/compose-dimp.js                             |    3 +
  imp/lib/Ajax/Imple/ItipRequest.php                 |   10 +-
  imp/lib/Ajax/Queue.php                             |   16 +-
  imp/lib/Dynamic/Compose/Common.php                 |    1 +
  imp/lib/Mime/Viewer/Itip.php                       |   11 +-
  imp/locale/pt_BR/LC_MESSAGES/imp.mo                |  Bin 177354 -> 
180219 bytes
  imp/locale/pt_BR/LC_MESSAGES/imp.po                | 1348 
+++++++++++---------
  imp/package.xml                                    |    6 +-
  ingo/locale/pt_BR/LC_MESSAGES/ingo.mo              |  Bin 83674 -> 
84041 bytes
  ingo/locale/pt_BR/LC_MESSAGES/ingo.po              |  172 ++--
  kronolith/docs/CHANGES                             |    6 +
  kronolith/js/kronolith.js                          |   62 +-
  kronolith/lib/Ajax/Application/Handler.php         |    4 +-
  kronolith/lib/Api.php                              |   21 +-
  kronolith/lib/Event.php                            |    8 +-
  kronolith/lib/Kronolith.php                        |   29 +-
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.mo    |  Bin 125219 -> 
126355 bytes
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.po    |  814 ++++++------
  kronolith/package.xml                              |    6 +
  mnemo/lib/Driver/Kolab.php                         |    7 +
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.mo            |  Bin 74129 -> 
74836 bytes
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.po            |   38 +-
  nag/locale/pt_BR/LC_MESSAGES/nag.mo                |  Bin 90095 -> 
90739 bytes
  nag/locale/pt_BR/LC_MESSAGES/nag.po                |  266 ++--
  passwd/locale/pt_BR/LC_MESSAGES/passwd.mo          |  Bin 70274 -> 
70989 bytes
  turba/lib/Driver/Kolab.php                         |    5 +-
  turba/locale/pt_BR/LC_MESSAGES/turba.mo            |  Bin 95834 -> 
96646 bytes
  turba/locale/pt_BR/LC_MESSAGES/turba.po            |  285 +++--
  whups/locale/pt_BR/LC_MESSAGES/whups.mo            |  Bin 93434 -> 
94133 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.mo          |  Bin 78492 -> 
77023 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.po          |  282 ++---
  74 files changed, 2263 insertions(+), 2099 deletions(-)

http://git.horde.org/horde-git/-/commit/eaa2e5897281db0a30e477580288af8085591df6
2013-12-17 11:17:36 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 6131225f32b8dbc7e61bc5033077b2a43c19fc31
Merge: 6ceb6e9 917c720
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 26 18:38:40 2013 -0700

     Merge branch 'master' into imp_6_2

  chora/locale/pt_BR/LC_MESSAGES/chora.mo            |  Bin 71584 -> 
72267 bytes
  framework/Alarm/lib/Horde/Alarm/Sql.php            |   16 +-
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo      |  Bin 727 -> 727 bytes
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po      |   12 +-
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.mo     |  Bin 956 -> 956 bytes
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.po     |    8 +-
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo    |  Bin 19720 -> 
19720 bytes
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po    |  214 ++--
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo  |  Bin 7554 -> 7147 bytes
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po  |   93 +-
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo    |  Bin 1192 -> 1192 bytes
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po    |   16 +-
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo    |  Bin 10967 -> 
10967 bytes
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po    |   10 +-
  framework/Http/package.xml                         |   11 +-
  .../Imap_Client/lib/Horde/Imap/Client/Base.php     |    4 +-
  framework/Imap_Client/package.xml                  |    4 +-
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.mo       |  Bin 2856 -> 2856 bytes
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.po       |    3 +-
  framework/Mime/composer.json                       |    2 +-
  framework/Mime/lib/Horde/Mime/Part.php             |   35 +-
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.mo    |  Bin 1256 -> 1256 bytes
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.po    |   20 +-
  framework/Mime/package.xml                         |   23 +-
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 +
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.mo  |  Bin 835 -> 838 bytes
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.po  |   12 +-
  gollem/locale/pt_BR/LC_MESSAGES/gollem.mo          |  Bin 72229 -> 
72928 bytes
  hermes/README                                      |   26 +-
  hermes/docs/CHANGES                                |   12 +-
  hermes/docs/RELEASE_NOTES                          |    6 +-
  hermes/js/hermes.js                                |  172 ++-
  hermes/lib/Ajax/Application/Handler.php            |   58 +-
  hermes/lib/Application.php                         |    4 +-
  hermes/lib/Hermes.php                              |  100 ++-
  hermes/package.xml                                 |   34 +-
  hermes/templates/dynamic/timer.inc                 |   34 +-
  hermes/themes/default/dynamic/screen.css           |   32 +-
  hermes/themes/default/graphics/exclusive.png       |  Bin 0 -> 447 bytes
  horde/bin/horde-translation                        |   15 +-
  horde/locale/pt_BR/LC_MESSAGES/horde.mo            |  Bin 64448 -> 
65138 bytes
  horde/locale/pt_BR/LC_MESSAGES/horde.po            |  372 +++---
  imp/lib/Dynamic/Compose/Common.php                 |    1 +
  imp/locale/pt_BR/LC_MESSAGES/imp.mo                |  Bin 177354 -> 
180219 bytes
  imp/locale/pt_BR/LC_MESSAGES/imp.po                | 1348 
+++++++++++---------
  ingo/locale/pt_BR/LC_MESSAGES/ingo.mo              |  Bin 83674 -> 
84041 bytes
  ingo/locale/pt_BR/LC_MESSAGES/ingo.po              |  172 ++--
  kronolith/lib/Event.php                            |    1 +
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.mo    |  Bin 125219 -> 
126355 bytes
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.po    |  814 ++++++------
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.mo            |  Bin 74129 -> 
74836 bytes
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.po            |   38 +-
  nag/locale/pt_BR/LC_MESSAGES/nag.mo                |  Bin 90095 -> 
90739 bytes
  nag/locale/pt_BR/LC_MESSAGES/nag.po                |  266 ++--
  passwd/locale/pt_BR/LC_MESSAGES/passwd.mo          |  Bin 70274 -> 
70989 bytes
  turba/lib/Driver/Kolab.php                         |    5 +-
  turba/locale/pt_BR/LC_MESSAGES/turba.mo            |  Bin 95834 -> 
96646 bytes
  turba/locale/pt_BR/LC_MESSAGES/turba.po            |  285 +++--
  whups/locale/pt_BR/LC_MESSAGES/whups.mo            |  Bin 93434 -> 
94133 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.mo          |  Bin 78492 -> 
77023 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.po          |  282 ++---
  63 files changed, 2404 insertions(+), 2180 deletions(-)

http://git.horde.org/horde-git/-/commit/6131225f32b8dbc7e61bc5033077b2a43c19fc31
2013-12-17 10:32:27 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit c8d6723cab28988202281158fc96add09d27bea6
Merge: 0178749 23d777f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Nov 22 16:47:57 2013 -0500

     Merge branch 'master' into horde_5_2

  chora/locale/pt_BR/LC_MESSAGES/chora.mo            |  Bin 71584 -> 
72267 bytes
  framework/Alarm/lib/Horde/Alarm/Sql.php            |   16 +-
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo      |  Bin 727 -> 727 bytes
  .../Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po      |   12 +-
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.mo     |  Bin 956 -> 956 bytes
  .../locale/pt_BR/LC_MESSAGES/Horde_Compress.po     |    8 +-
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo    |  Bin 19720 -> 
19720 bytes
  .../Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po    |  214 ++--
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo  |  Bin 7554 -> 7147 bytes
  .../Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po  |   93 +-
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo    |  Bin 1192 -> 1192 bytes
  .../Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po    |   16 +-
  .../Dav/vendor/sabre/dav/lib/Sabre/DAV/URLUtil.php |    4 +-
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo    |  Bin 10967 -> 
10967 bytes
  .../Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po    |   10 +-
  framework/Group/test/Horde/Group/Sql/Base.php      |    4 +-
  framework/Http/package.xml                         |   11 +-
  framework/Imap_Client/composer.json                |    4 +-
  .../lib/Horde/Imap/Client/Cache/Backend/Cache.php  |    2 +
  framework/Imap_Client/package.xml                  |   22 +-
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.mo       |  Bin 2856 -> 2856 bytes
  .../pt_BR/LC_MESSAGES/Horde_Kolab_Storage.po       |    3 +-
  framework/Mime/composer.json                       |    2 +-
  framework/Mime/lib/Horde/Mime/Part.php             |   35 +-
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.mo    |  Bin 1256 -> 1256 bytes
  .../Mime/locale/pt_BR/LC_MESSAGES/Horde_Mime.po    |   20 +-
  framework/Mime/package.xml                         |   23 +-
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 +
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 +
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.mo  |  Bin 835 -> 838 bytes
  .../Perms/locale/pt_BR/LC_MESSAGES/Horde_Perms.po  |   12 +-
  .../test/Horde/SessionHandler/Storage/Sql/Base.php |    2 +-
  framework/Smtp/composer.json                       |    4 +-
  framework/Smtp/lib/Horde/Smtp.php                  |    6 +
  framework/Smtp/package.xml                         |   20 +-
  framework/Vfs/test/Horde/Vfs/Sql/Base.php          |    2 +-
  gollem/locale/pt_BR/LC_MESSAGES/gollem.mo          |  Bin 72229 -> 
72928 bytes
  hermes/js/hermes.js                                |    2 +-
  horde/bin/horde-translation                        |   15 +-
  horde/locale/pt_BR/LC_MESSAGES/horde.mo            |  Bin 64448 -> 
65138 bytes
  horde/locale/pt_BR/LC_MESSAGES/horde.po            |  372 +++---
  imp/docs/CHANGES                                   |    4 +
  imp/js/compose-dimp.js                             |    3 +
  imp/lib/Ajax/Imple/ItipRequest.php                 |   10 +-
  imp/lib/Ajax/Queue.php                             |   16 +-
  imp/lib/Dynamic/Compose/Common.php                 |    1 +
  imp/lib/Mime/Viewer/Itip.php                       |   11 +-
  imp/locale/pt_BR/LC_MESSAGES/imp.mo                |  Bin 177354 -> 
180219 bytes
  imp/locale/pt_BR/LC_MESSAGES/imp.po                | 1348 
+++++++++++---------
  imp/package.xml                                    |    6 +-
  ingo/locale/pt_BR/LC_MESSAGES/ingo.mo              |  Bin 83674 -> 
84041 bytes
  ingo/locale/pt_BR/LC_MESSAGES/ingo.po              |  172 ++--
  kronolith/docs/CHANGES                             |    6 +
  kronolith/js/kronolith.js                          |   62 +-
  kronolith/lib/Ajax/Application/Handler.php         |    4 +-
  kronolith/lib/Api.php                              |   21 +-
  kronolith/lib/Event.php                            |    8 +-
  kronolith/lib/Kronolith.php                        |   29 +-
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.mo    |  Bin 125219 -> 
126355 bytes
  kronolith/locale/pt_BR/LC_MESSAGES/kronolith.po    |  814 ++++++------
  kronolith/package.xml                              |    6 +
  mnemo/lib/Driver/Kolab.php                         |    7 +
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.mo            |  Bin 74129 -> 
74836 bytes
  mnemo/locale/pt_BR/LC_MESSAGES/mnemo.po            |   38 +-
  nag/locale/pt_BR/LC_MESSAGES/nag.mo                |  Bin 90095 -> 
90739 bytes
  nag/locale/pt_BR/LC_MESSAGES/nag.po                |  266 ++--
  passwd/locale/pt_BR/LC_MESSAGES/passwd.mo          |  Bin 70274 -> 
70989 bytes
  turba/lib/Driver/Kolab.php                         |    5 +-
  turba/locale/pt_BR/LC_MESSAGES/turba.mo            |  Bin 95834 -> 
96646 bytes
  turba/locale/pt_BR/LC_MESSAGES/turba.po            |  285 +++--
  whups/locale/pt_BR/LC_MESSAGES/whups.mo            |  Bin 93434 -> 
94133 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.mo          |  Bin 78492 -> 
77023 bytes
  wicked/locale/pt_BR/LC_MESSAGES/wicked.po          |  282 ++---
  74 files changed, 2263 insertions(+), 2099 deletions(-)

http://git.horde.org/horde-git/-/commit/c8d6723cab28988202281158fc96add09d27bea6
2013-11-22 09:38:12 horde (at) immerda (dot) ch Comment #6 Reply to this comment
That encrypted MIME message is badly broken - it has mixed EOLs.   
Might want to send a bug report to the maintainers of the program 
that created it.
Ok, I thought something like that. Will do that. Thanks for the fixes.
2013-11-22 03:46:42 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
That encrypted MIME message is badly broken - it has mixed EOLs.   
Might want to send a bug report to the maintainers of the program that 
created it.

Horde_Mime 2.2.8.
2013-11-22 03:44:15 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 0f14580b8560e1f9fb4ed06ad3342159c854b3c6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Nov 21 20:43:48 2013 -0700

     [mms] Fix parsing MIME message that contains mixed EOLs (Bug #12842).

  framework/Mime/lib/Horde/Mime/Part.php             |   35 ++++++++++---------
  framework/Mime/package.xml                         |   12 ++++--
  framework/Mime/test/Horde/Mime/PartTest.php        |   10 ++++++
  .../Mime/test/Horde/Mime/fixtures/bug12842_a.txt   |    7 ++++
  .../Mime/test/Horde/Mime/fixtures/bug12842_b.txt   |    7 ++++
  5 files changed, 50 insertions(+), 21 deletions(-)

http://git.horde.org/horde-git/-/commit/0f14580b8560e1f9fb4ed06ad3342159c854b3c6
2013-11-21 13:30:49 horde (at) immerda (dot) ch Comment #3
New Attachment: encrypted_bugs.tar[1].bz2 Download
Reply to this comment
Also contained in the archive is the public/private key (no
passphrase set!).
The private key indicates a blank passphrase is invalid.  So I 
cannot decrypt the example message.
I fixed the tarball.

2013-11-21 13:26:26 Jan Schneider Deleted Original Message
 
2013-11-20 07:37:15 Michael Slusarz Comment #2 Reply to this comment
Also contained in the archive is the public/private key (no passphrase set!).
The private key indicates a blank passphrase is invalid.  So I cannot 
decrypt the example message.
2013-11-15 15:58:37 horde (at) immerda (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Fail to parse certain GPG-encrypted emails (e.g. with attached gpg keys)
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: encrypted_bugs.tar.bz2
Reply to this comment
Sometimes IMP fails to correctly parse gpg encrypted e-mails with attachments.

Attached to this bug is an archive with an example and a screenshot 
how this looks like.

There is a mail.txt which is a mail that cannot be shown correctly, as 
you can see in the screenshot.

We can reproduce this by importing this mail into IMP, so you should 
have something to be able to reproduce it.

Also contained in the archive is the public/private key (no passphrase 
set!). So you should be able to open this mail.

Interesting is also that sometimes with other mails no content and 
attachments at all are displayed, only the gpg stati (as seen in 
screen2.png). In the attached mail-example, we can see the attached 
key, but not the content of the mail, as shown in screen.png.

BUT also the attached key is actually broken and misses some lines in 
the beginning, hence the attachment is actually broken.

The attached email can be shown correctly within Thunderbird and also 
in general to me the structure looks fine.

Saved Queries